﻿using System;
using System.Threading.Tasks;
using Xamarin.Essentials;
using Xamarin.Forms;

namespace XF_AbreLink
{
    public partial class MainPage : ContentPage
    {
        Uri uri;
        public MainPage()
        {
            InitializeComponent();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
        }

        async Task btnBrowse_Click(object sender, System.EventArgs e)
        {
            try
            {
                uri = new Uri(entURL.Text);
                await Browser.OpenAsync(uri, BrowserLaunchMode.SystemPreferred);
            }
            catch(Exception ex)
            {
                // Não foi possivel acessar a uri
                await DisplayAlert("Erro : ", ex.Message, "Ok");
            }
        }
    }
}
